


import sys
import math
import LEDx

B_PARTICLE_GTYPE_COPY=0
B_PARTICLE_GTYPE_BLEND=1
B_PARTICLE_GTYPE_ADD=2


LEDx.ReadBitMap(LEDx.GetInitialDirectory()+"\\Data\\FirePrtl.bmp","FireParticle");
LEDx.ReadBitMap(LEDx.GetInitialDirectory()+"\\Data\\Glow.bmp","Glow");
LEDx.ReadBitMap(LEDx.GetInitialDirectory()+"\\Data\\SunFlare.bmp","SunFlare");



##### Fire Particle definition ######

LEDx.AddParticleGType("Fire","FireParticle",B_PARTICLE_GTYPE_ADD,31)

for i in range(32):
  if(i>16):
    aux=0.0
  else:
    aux=(16.0-i)/16.0
  r=255
  g=min(300.0*(1.0-aux*aux)+148,255.0)
  b=min(255.0*(1.0-aux)+80,255.0)
  a=min(255.0*(1.0-aux),255.0)
  size=80.0+math.sqrt(1.0-aux)*70.0
  LEDx.SetParticleGVal("Fire",i,r,g,b,a,size)

##### Large Fire Particle definition ######

LEDx.AddParticleGType("LargeFire","FireParticle",B_PARTICLE_GTYPE_ADD,31)

for i in range(32):
  if(i>16):
    aux=0.0
  else:
    aux=(16.0-i)/16.0
  r=255
  g=min(300.0*(1.0-aux*aux)+35,255.0)
  b=min(255.0*(1.0-aux)+20,255.0) 
  a=min(200.0*(1.0-aux),255.0)
  size=130.0+math.sqrt(1.0-aux)*110.0
  LEDx.SetParticleGVal("LargeFire",i,r,g,b,a,size)

##### Blood Particle definition ######

LEDx.AddParticleGType("Blood","BloodParticle",B_PARTICLE_GTYPE_BLEND,79)

for i in range(80):
  if(i>40):
    aux=0.0
  else:
    aux=(40.0-i)/40.0
  r=70+40*(aux)
  g=0
  b=0
  a=100.0+40.0*aux
  size=10.0*aux+10.0
  LEDx.SetParticleGVal("Blood",i,r,g,b,a,size)
